﻿Type=Service
Version=3.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	
	Dim rv As RemoteViews
	Dim job1 As HttpJob
	
	Dim URL As String
  Dim XML As String
	Dim Ciudad As String
	Dim Pais As String  

End Sub

Sub Service_Create

	rv = ConfigureHomeWidget("lyoClima", "rv", 30, "ABG-TIM-W-Clima", True)
		
End Sub

Sub Service_Start (StartingIntent As Intent)

	If rv.HandleWidgetEvents(StartingIntent) Then Return
	
	Ciudad = "Chicago"
	Pais = "United Sates"
  URL = "http://www.webservicex.net/globalweather.asmx"
	
End Sub

Sub ConsumirServiciSOAP()
   	
	XML = XML & "<soap:Envelope xmlns:soap='http://www.w3.org/2003/05/soap-envelope' xmlns:web='http://www.webserviceX.NET'>"
	XML = XML & "<soap:Header/>"
	XML = XML & "<soap:Body>"
	XML = XML & "<web:GetWeather>"
	XML = XML & "<web:CityName>" & Ciudad & "</web:CityName>"
	XML = XML & "<web:CountryName>" & Pais & "</web:CountryName>"
	XML = XML & "</web:GetWeather>"
	XML = XML & "</soap:Body>"
	XML = XML & "</soap:Envelope>"
	XML = XML.Replace("'", Chr(34))
				
  job1.Initialize("JOBSOAP", Me)
  job1.PostString ("http://www.webservicex.net/globalweather.asmx", XML)
  job1.GetRequest.SetContentType("APPLICATION/soap+xml")
		
End Sub

Sub JobDone (JOB As HttpJob)    
		If JOB.Success Then
    	Dim Res As String
    	Res = JOB.GetString
			Log(Res)
			GetInfo(Res)
		Else
			Log(Res)
    End If
    JOB.Release
End Sub

Sub GetInfo(Temperatura As String)   'Temperatura

	Temperatura = Temperatura.subString2(Temperatura.IndexOf("&lt;Temperature&gt;")+ 19, Temperatura.IndexOf("&lt;/Temperature&gt;") ) 
	Temperatura = Temperatura.subString2(Temperatura.IndexOf("(")+ 1, Temperatura.IndexOf("C)") ) 
	Temperatura = Temperatura & " " &  "°C"
	rv.SetText("lblTemperatura", Temperatura)
	
End Sub

Sub rv_RequestUpdate
	ConsumirServiciSOAP
	rv.UpdateWidget
End Sub

Sub rv_Disabled
	StopService("")
End Sub

Sub Service_Destroy
End Sub
